Bug 1729939 - Requirements netperf missing
Summary: Requirements netperf missing
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: flent
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Toke Høiland-Jørgensen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2019-07-15 11:33 UTC by Fabian Affolter
Modified: 2021-02-09 15:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Fabian Affolter 2019-07-15 11:33:24 UTC
Description of problem:
13:26:55 ERROR: Runner Ping (ms) UDP EF failed check: No netperf binary found in PATH.

Version-Release number of selected component (if applicable):
flent-1.3.0-1.fc30.noarch

How reproducible:
Try to run a test.

Actual results:
Error message that netperf is missing.

Expected results:
Run the tests and get the result.

Additional info:

Comment 1 Toke Høiland-Jørgensen 2019-07-15 13:11:35 UTC
Yeah, netperf is sadly missing from Fedora, and don't think it can be included because of the license (https://github.com/HewlettPackard/netperf/blob/master/COPYING - it's "non-commercial use only", so not free software).

However, there is still value in packaging up Flent for Fedora:

- It can be used to view data files produced on other machines
- There are a subset of the tests that do not require netperf
- Users can manually compile/install netperf


For an example of a test that should work with the current package, try running the 'ping' test...

Comment 2 Fabian Affolter 2019-07-15 21:39:01 UTC
> Yeah, netperf is sadly missing from Fedora, and don't think it can be included because of the license (https://github.com/HewlettPackard/netperf/blob/master/COPYING - it's "non-commercial use only", so not free software).

Fedora Packaging Guidelines: "All package dependencies (build-time or runtime, regular, weak or otherwise) MUST ALWAYS be satisfiable within the official Fedora repositories.". We can start to interpret that here but it's a fact that without netperf flent-gui is basically a viewer and flent itself is pretty useless. Especially that iperf and fping are not pulled-in during the installation and irtt is not available in the Fedora Package Collection.

> - Users can manually compile/install netperf

Sure they can but I guess that in 95 % of all cases they will try to work with an existing RPM and those RPMs usually don't support demo mode.

> For an example of a test that should work with the current package, try running the 'ping' test...

Not on a default Fedora 30 installation:

$ flent ping -H localhost
Started Flent 1.3.0 using Python 3.7.3.
Starting ping test. Expected run time: 60 seconds.
ERROR: Runner Ping (ms) UDP failed check: No netperf binary found in PATH.

Comment 3 Toke Høiland-Jørgensen 2019-07-15 22:26:00 UTC
(In reply to Fabian Affolter from comment #2)
> > Yeah, netperf is sadly missing from Fedora, and don't think it can be included because of the license (https://github.com/HewlettPackard/netperf/blob/master/COPYING - it's "non-commercial use only", so not free software).
> 
> Fedora Packaging Guidelines: "All package dependencies (build-time or
> runtime, regular, weak or otherwise) MUST ALWAYS be satisfiable within the
> official Fedora repositories.". We can start to interpret that here but it's
> a fact that without netperf flent-gui is basically a viewer and flent itself
> is pretty useless. Especially that iperf and fping are not pulled-in during
> the installation and irtt is not available in the Fedora Package Collection.

Well, I can certainly add harder dependencies for iperf and fping; and I'm planning to package irtt as well. A bit longer term, there have already been requests upstream to have iperf and netperf be more interchangeable, but it's not quite trivial, unfortunately...

> > - Users can manually compile/install netperf
> 
> Sure they can but I guess that in 95 % of all cases they will try to work
> with an existing RPM and those RPMs usually don't support demo mode.

Which is a bug in those RPMs, IMO. Is there a repo where people usually get these things from?

> > For an example of a test that should work with the current package, try running the 'ping' test...
> 
> Not on a default Fedora 30 installation:
> 
> $ flent ping -H localhost
> Started Flent 1.3.0 using Python 3.7.3.
> Starting ping test. Expected run time: 60 seconds.
> ERROR: Runner Ping (ms) UDP failed check: No netperf binary found in PATH.

Heh, right, it needs either irtt or netperf. Well, guess I should start by packaging up irtt, then :)

Comment 4 Ben Cotton 2019-08-13 17:03:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 19:02:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Wes Turner 2020-06-11 06:53:16 UTC
I may be misunderstanding the license terms as well, but:

This [1] reads:

>   The enclosed software and documentation includes copyrighted works
>  of Hewlett-Packard Co. For as long as you comply with the following
>  limitations, you are hereby authorized to (i) use, reproduce, and
>  modify the software and documentation, and to (ii) distribute the
>  software and documentation, including modifications, for
>  non-commercial purposes only.

This is not an OSI-approved license by any means, but in interpreting this clause:
"(ii) distribute the software and documentation, including modifications, for non-commercial purposes only"
I'm not sure that fedora distributing the package (and any patches, if necessary) is commercial use?

Does that mean that you cannot *sell* HP's netperf package, but you *can include the package in free software repositories*?

[1] https://github.com/HewlettPackard/netperf/blob/master/COPYING

Comment 7 Toke Høiland-Jørgensen 2020-06-11 10:36:13 UTC
I suspect the answer to that is more complicated than any common-sense interpretation might suggest. I guess it wouldn't hurt to get someone with legal expertise to take a look just in case...

Comment 8 Fabian Affolter 2020-06-11 11:50:52 UTC
I'm setting the legal blocker. I assume that Tom can help.

Comment 9 Ben Cotton 2020-11-03 15:20:05 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Toke Høiland-Jørgensen 2020-11-05 14:28:50 UTC
Bumping version as this would still be nice to get resolved; if anyone knows a way to bump it up the legal review priority list, please don't hesitate to come forward :)

Comment 11 Ben Cotton 2021-02-09 15:10:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.


Note You need to log in before you can comment on or make changes to this bug.